Bug 433568 - (pear-DG-DS-CSV) Review Request: php-pear-Structures-DataGrid-DataSource-CSV - Structures_DataGrid driver for CSV files
Review Request: php-pear-Structures-DataGrid-DataSource-CSV - Structures_Data...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-19 19:56 EST by Brad Walker
Modified: 2008-03-26 17:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-26 17:14:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brad Walker 2008-02-19 19:56:10 EST
Spec URL: http://rpm.bradmwalker.com/SPECS/php-pear-Structures-DataGrid-DataSource-CSV.spec
SRPM URL: http://rpm.bradmwalker.com/SRPMS/php-pear-Structures-DataGrid-DataSource-CSV-0.1.6-1.fc9.src.rpm
Description: This is a DataSource driver for Structures_DataGrid using CSV files.

I use it in projects to parse CSV files with an OOP interface.
Comment 1 Christopher Stone 2008-02-24 17:29:02 EST
- rpmlint output
php-pear-Structures-DataGrid-DataSource-CSV.noarch: W: no-documentation
php-pear-Structures-DataGrid-DataSource-CSV.noarch: W:
- package named according to package naming guidelines
- spec filename matches %{name}
- package meets packaging guidelines
- licensed with fedora approved license
- license tag matches actual license
- license not provided in source package
- spec written in American English
- spec file legible
- sources match upstream
10bbee186ed1be7f0d7615446d80bd71  Structures_DataGrid_DataSource_CSV-0.1.6.tgz
- successfully compiles and builds on F-8 x86_64
- All build dependencies listed in BR
- no locales
- no shared libraries
- package is not relocatable
- package requires necessary packages for directories it uses
- no duplicates in %files
- file permissions set properly
- package contains proper %clean section
- macro usage is consistent
- package contains code
- no large documentation
- %doc files do not affect runtime
- no header files
- no static libraries
- no pkgconfig files
- no libraries with suffixes
- no devel subpackage
- no libtool archives
- not a GUI application
- package does not own files or directories owned by other packages
- buildroot properly prepped for %install
- all filenames valid UTF-8

*** APPROVED ***

You must now demonstrate your mastery of the package review guidelines by doing
a review of someone else's package like the one I've just done here.  You should
try to find a package that has a mistake and point it out in the review if possible.
Comment 2 Christopher Stone 2008-03-23 16:29:14 EDT
Brad, since you have not done a review of someone else's package, I am going to
assume that you do not have time to be a package maintainer.

Let me know if you want me to close the bugs permanently or just withdraw my
sponsorship.  If I don't hear back from you in a week, I will just close the bugs.

Note You need to log in before you can comment on or make changes to this bug.